class Book < ActiveRecord::Base
	validates :title, :description, :image, presence: true
	validates :price, numericality: {greater_than_or_equal_to: 0.01}
	validates :title, uniqueness: true
	validates :image, allow_blank: true, format: {
		with: %r{\w.(jpg|png|gif)\Z}i,
		message: 'image must be a jpg, png or a gif file'
	}
end
